be.fgov.ehealth.dics.protocol.v5

## Class RangeType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v5.RangeType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:57:43+01:00",
                 comments="JAXB RI v2.3.7")
      public class RangeType
      extends Object
      implements Serializable

  Java class for RangeType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RangeType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Min" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
               <element name="Max" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
             </sequence>
             <attribute name="Unit" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RangeType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigDecimal` | `getMax()` Gets the value of the max property.
    `BigDecimal` | `getMin()` Gets the value of the min property.
    `String` | `getUnit()` Gets the value of the unit property.
    `void` | `setMax(BigDecimal value)` Sets the value of the max property.
    `void` | `setMin(BigDecimal value)` Sets the value of the min property.
    `void` | `setUnit(String value)` Sets the value of the unit property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RangeType

          public RangeType()

  - ### Method Detail

    - #### getMin

          public BigDecimal getMin()

      Gets the value of the min property.
      Returns:
        possible object is `BigDecimal`

    - #### setMin

          public void setMin(BigDecimal value)

      Sets the value of the min property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getMax

          public BigDecimal getMax()

      Gets the value of the max property.
      Returns:
        possible object is `BigDecimal`

    - #### setMax

          public void setMax(BigDecimal value)

      Sets the value of the max property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getUnit

          public String getUnit()

      Gets the value of the unit property.
      Returns:
        possible object is `String`

    - #### setUnit

          public void setUnit(String value)

      Sets the value of the unit property.
      Parameters:
        `value` - allowed object is `String`

Connector Package PERSMIDWIFE 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.